%define major           1
%define libname         %mklibname rdkafka %{major}
%define develname       %mklibname rdkafka -d

Name:		librdkafka
Version:	1.8.0
Release:	%mkrel 2
Summary:	The Apache Kafka C library
Group:          System/Libraries

License:	BSD
URL:		https://github.com/edenhill/librdkafka
Source0:	https://github.com/edenhill/librdkafka/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:  openssl-devel
BuildRequires:  cyrus-sasl-devel
BuildRequires:  lz4-devel

%description
Librdkafka is a C/C++ library implementation of the Apache Kafka protocol,
containing both Producer and Consumer support.
It was designed with message delivery reliability and high performance in mind,
current figures exceed 800000 messages/second for the producer and 3 million
messages/second for the consumer.

%package -n %{libname}
Summary:	The Apache Kafka C library

%description -n %{libname}
Librdkafka is a C/C++ library implementation of the Apache Kafka protocol,
containing both Producer and Consumer support.
It was designed with message delivery reliability and high performance in mind,
current figures exceed 800000 messages/second for the producer and 3 million
messages/second for the consumer.

%package -n %{develname}
Summary:	The Apache Kafka C library (Development Environment)
Requires:	%{libname} = %{version}-%{release}
Provides:       rdkafka-devel = %{version}-%{release}
Provides:       librdkafka-devel = %{version}-%{release}


%description -n %{develname}
librdkafka is a C/C++ library implementation of the Apache Kafka protocol,
containing both Producer and Consumer support.
This package contains headers and libraries required to build applications
using librdkafka.

%prep
%setup -q
%autopatch -p1

%build
%configure --enable-lz4 \
           --enable-ssl \
           --enable-sasl \
	    --source-deps-only

%make_build

%check
make check

%install
%make_install

# we don't want these
find %{buildroot} -name '*.*a' -delete -print
rm -rf %{buildroot}%{_libdir}/pkgconfig/*-static.pc

%files -n %{libname}
%{_libdir}/librdkafka.so.%{major}{,.*}
%{_libdir}/librdkafka++.so.%{major}{,.*}

%files -n %{develname}
%dir %{_includedir}/librdkafka
%{_includedir}/librdkafka/*
%{_libdir}/librdkafka.so
%{_libdir}/librdkafka++.so
%{_libdir}/pkgconfig/rdkafka.pc
%{_libdir}/pkgconfig/rdkafka++.pc
%{_docdir}/librdkafka/*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.8.0-2.mga10
+ Revision: 2215501
- Mageia 10 Mass Rebuild

* Sun Oct 09 2022 neoclust <neoclust> 1.8.0-1.mga9
+ Revision: 1896026
- New version 1.8.0

* Tue Mar 29 2022 umeabot <umeabot> 1.6.1-3.mga9
+ Revision: 1833090
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 1.6.1-2.mga9
+ Revision: 1747502
- rebuild for openssl 3.0.0

* Sat Jun 19 2021 joequant <joequant> 1.6.1-1.mga9
+ Revision: 1731332
- update to 1.6.1

* Sat Aug 22 2020 wally <wally> 1.5.0-2.mga8
+ Revision: 1617976
- fix librdkafka++ overlinking (use our ldflags)

* Fri Aug 21 2020 eatdirt <eatdirt> 1.5.0-1.mga8
+ Revision: 1617670
- Upgrade to version 1.5.0

* Wed Jun 10 2020 joequant <joequant> 1.4.2-1.mga8
+ Revision: 1591842
- update to 1.4.2

* Sun May 24 2020 wally <wally> 0.11.6-5.mga8
+ Revision: 1587203
- drop python2 BR

* Mon Feb 17 2020 umeabot <umeabot> 0.11.6-4.mga8
+ Revision: 1537380
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Oct 30 2019 joequant <joequant> 0.11.6-3.mga8
+ Revision: 1456849
- fix provides

* Wed Oct 30 2019 joequant <joequant> 0.11.6-2.mga8
+ Revision: 1456841
- add rdkafka-devel

* Tue Oct 29 2019 joequant <joequant> 0.11.6-1.mga8
+ Revision: 1456599
- imported package librdkafka

